package com.starbuds.server.api.channel.common.pojo.admin;

import lombok.Data;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/26
 */
@Data
public class ChannelAdminInfoVO {
    /**
     * 管理员id
     */
    private Long adminId;

    /**
     * 姓名
     */
    private String adminName;

    /**
     * 头像
     */
    private String adminAvatar;

    /**
     * 手机号
     */
    private String adminPhone;

    /**
     * 电子邮件
     */
    private String adminEmail;

    /**
     * 状态
     */
    private Integer adminStatus;

    /**
     * 密码
     */
    private String adminPass;

    /**
     * 创建时间
     */
    private Long adminCreateTime;

    /**
     * 渠道id
     */
    private Long channelId;

    /**
     * 渠道名称
     */
    private String channelName;

    /**
     * 渠道分组id
     */
    private Long channelGroupId;
    /**
     * 上级id
     */
    private Long parentId;
    /**
     * 上级名称
     */
    private String parentName;
    /**
     * 授权的渠道id集合
     */
    private String authChannelIds;
    /**
     * 授权渠道
     */
    private List<ChannelDTO> authChannels;
}
