package com.starbuds.server.api.channel.common.pojo.admin;

import lombok.Data;

import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * @Author aoe
 * @DateTime 2020/6/4
 * @Description 渠道应用请求对象
 */
@Data
public class ChannelAppReq implements Serializable {

    @FormParam("channelId")
    private Long channelId;

    /**
     * app名称
     */
    @FormParam("appName")
    private String appName;
    /**
     * App Icon Url (JSON)
     */
    @FormParam("appIcon")
    private String appIcon;

    /**
     * App 手机登陆服务地址
     */
    @FormParam("apiAuthByPhone")
    private String apiAuthByPhone;

    /**
     * 星芽注册用户通知对方url
     */
    @FormParam("apiNoticeUserRegistered")
    private String apiNoticeUserRegistered;

    /**
     * 星芽用户修改信息通知对方Url
     */
    @FormParam("apiNoticeUserUpdate")
    private String apiNoticeUserUpdate;

}
