package com.starbuds.server.api.channel.common.pojo.admin;

import lombok.Data;

import javax.ws.rs.FormParam;
import java.io.Serializable;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/4/30 11:34
 * @Description 渠道分成比例
 */
@Data
public class ChannelRatioReq implements Serializable {

    /**
     * 今日安装比例百分比
     */
    @FormParam("todayInstallRatio")
    private Double todayInstallRatio;
    /**
     * 明日安装比例百分比
     */
    @FormParam("tomorrowInstallRatio")
    private Double tomorrowInstallRatio;
    /**
     * 今日分成比例百分比
     */
    @FormParam("todaySplitRatio")
    private Double todaySplitRatio;
    /**
     * 明日分成比例百分比
     */
    @FormParam("tomorrowSplitRatio")
    private Double tomorrowSplitRatio;
    /**
     * 渠道id
     */
    @FormParam("channelId")
    private Long channelId;

}
