package com.starbuds.server.api.channel.common.pojo.admin;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/4/6 14:01
 * @Description 整体趋势 中间
 */
@Data
public class OverallTrendMiddle implements Serializable {

    /**
     * tag类型
     */
    private Integer tagType;
    /**
     * tag名称
     */
    private String tagName;

    private Long startDate;

    private Long endDate;

    private String dateRangs;

    private List<Data> datas;

    private Integer statType1;

    private Integer statType2;

    private String statTypeName1;

    private String statTypeName2;


    @lombok.Data
    public static class Data implements Serializable {

        private BigDecimal result = BigDecimal.ZERO;

        private BigDecimal value1 = BigDecimal.ZERO;

        private BigDecimal value2 = BigDecimal.ZERO;

        private Long date;
    }

}
