package com.starbuds.server.api.channel.common.pojo.admin;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/3/4 13:30
 * @Description 统计详情
 */
@Data
public class StatChannelDetail implements Serializable {

    /**
     * 渠道 id
     */
    private Long channelId;
    /**
     * 渠道名称
     */
    private String channelName;
    /**
     * 统计时间
     */
    private Long statTime;

    /**
     * 统计值
     */
    private BigDecimal statValue;

}
