package com.starbuds.server.api.channel.common.pojo.admin;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/3/4 16:19
 * @Description 统计详情
 */
@Data
public class StatDetail implements Serializable {

    /**
     * 总统计
     */
    private List<StatTotalDetail> totalStat;
    /**
     * 渠道统计
     */
    private List<StatChannelDetail> channelStat;
    /**
     * 时间类型
     */
    private Integer timeType;
    /**
     * 开始时间
     */
    private Long startTime;
    /**
     * 结束时间
     */
    private Long endTime;
    /**
     * 统计类型
     */
    private Integer statType;
    /**
     * 统计类型名称
     */
    private String statName;
    /**
     * 时间类型名称
     */
    private String timeName;
}
