package com.starbuds.server.api.channel.common.pojo.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/4/4 18:19
 * @Description 时段概况tag类型
 */
@Getter
@AllArgsConstructor
public enum StatTagTypeEnum {

    ARPU(101, "ARPU"),

    NEW_ARPU(102, "新增ARPU"),

    NEW_USER(201, "新增用户"),

    REGISTER_USER(202, "注册用户"),

    DOWNLOAD(203, "下载"),

    ACTIVE_USER(204, "活跃用户"),

    RECHARGE_AMOUNT(301, "充值金额"),

    NEW_RECHARGE(302, "新增充值"),

    VIP_RECHARGE(303, "VIP充值"),

    VIP_COUNT(304, "VIP人数"),

    RECHARGE_USERS(305, "充值用户"),

    NEW_RECHARGE_USERS(306, "新增充值用户"),

    PAY_RATE(601, "付费率"),

    NEW_PAY_RATE(602, "新增付费率"),

    CALL_TIMES(701, "通话次数"),

    CALL_RATE(702, "通话率"),

    AVERAGE_NUMBER_TARTS(801, "平均启动次数"),

    ;
    private int code;

    private String desc;

    public static StatTagTypeEnum toEnum(int code) {
        for (StatTagTypeEnum item : StatTagTypeEnum.values()) {
            if (item.getCode() == code) {
                return item;
            }
        }
        return null;
    }
}
