package com.starbuds.server.api.channel.common.pojo.constant.notify;

import lombok.Getter;

/**
 * 通知参数
 *
 * @author aoe
 * @date 2020/8/19
 */
@Getter
public class NotifyParameter {

    /**
     * 参数
     */
    private String param;

    /**
     * 参数名称
     */
    private String name;

    /**
     * 类型
     */
    private String type;

    /**
     * 是否必填 true:必填
     */
    private boolean required;

    /**
     * 最大长度
     */
    private int maxLength;

    /**
     * 描述
     */
    private String desc;

    /**
     * 范例
     */
    private String example;

    public NotifyParameter(String param, String name, String type, boolean required, int maxLength, String desc, String example) {
        this.param = param;
        this.name = name;
        this.type = type;
        this.required = required;
        this.maxLength = maxLength;
        this.desc = desc;
        this.example = example;
    }
}
