package com.starbuds.server.api.channel.common.pojo.db;

import lombok.Data;

import java.io.Serializable;

/**
 * 渠道RSA2信息
 */
@Data
public class ChannelSecretRsaDO implements Serializable {

    /**
     * 主键
     */
    private Long chSecretRsaId;

    /**
     * 渠道id
     */
    private Long channelId;

    /**
     * 星芽RSA2私钥
     */
    private String xyPrivKey;

    /**
     * 星芽RSA2公钥
     */
    private String xyPubKey;

    /**
     * 渠道方提供的RSA2公钥
     */
    private String pubKey;

    /**
     * 操作管理员id
     */
    private Long adminId;

    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 更新时间
     */
    private Long updateTime;

}