package com.starbuds.server.api.channel.common.pojo.facade;

import lombok.Data;

import java.io.Serializable;

/**
 * 开放接口-用户信息
 */
@Data
public class OpenApiUserInfoRes implements Serializable {

    /**
     * 手机号
     */
    private String phone;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 用户昵称
     */
    private String nickname;

    /**
     * 用户头像(url)
     */
    private String userAvatar;
}
