package com.starbuds.server.api.channel.common.pojo.vo;

import lombok.Data;

import java.math.BigDecimal;

import java.io.Serializable;

/**
 * 渠道充值记录
 */
@Data
public class ChannelRechargeHisVO implements Serializable {

    /**
     * 主键
     */
    private Long hisId;

    /**
     * 渠道id
     */
    private Long channelId;

    /**
     * 充值金额
     */
    private BigDecimal payAmount;

    /**
     * 支付货币
     */
    private Integer payCurrency;

    /**
     * 充值兑换道具货币类型 11:星钻; 12:星元; 21:星币; 22:星尘
     */
    private Integer coinType;

    /**
     * 充值兑换道具货币金额
     */
    private Long coinAmount;

    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 支付状态（手动添加，来自tb_pay）11:待支付; 21:支付失败; 22:支付取消; 99:支付成功
     */
    private Integer payStatus;

}