package com.starbuds.server.api.channel.common.pojo.vo;

import lombok.Data;


import java.io.Serializable;
import java.util.List;

/**
 * 渠道发红包记录
 */
@Data
public class ChannelRedEnvelopeHisVO implements Serializable {

    /**
     *
     */
    private Long hisId;

    /**
     * 渠道id
     */
    private Long channelId;

    /**
     * 第三方交易id
     */
    private String tradeId;

    /**
     * 红包货币类型（WalletTypeEnum）
     */
    private Integer coinType;

    /**
     * 红包发放总金额
     */
    private Long totalAmount;

    /**
     * 兑换列表明细
     */
    private List<SendRedEnvelopeDetailVO> details;

    /**
     * 处理状态 10:发送红包请求接收成功; 20:发送红包请求处理中; 30:发红包成功; 40:发红包失败
     */
    private Integer status;

    /**
     * 调用方IP
     */
    private String ip;

    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 更新时间
     */
    private Long updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 发送类型 1:管理员; 2:接口调用
     */
    private Integer sendType;

    private String adminName;

    private String adminAvatar;
}