package com.starbuds.server.api.channel.common.pojo.vo;

import lombok.Data;


import java.io.Serializable;

/**
 * 渠道RSA2信息
 */
@Data
public class ChannelSecretRsaVO implements Serializable {

    /**
     * 渠道id
     */
    private Long channelId;

    /**
     * 星芽RSA2公钥
     */
    private String xyPubKey;

    /**
     * 渠道方提供的RSA2公钥
     */
    private String pubKey;

    /**
     * 操作管理员id
     */
    private Long adminId;

    /**
     * 创建时间
     */
    private Long createTime;

    /**
     * 更新时间
     */
    private Long updateTime;

}