package com.starbuds.server.api.channel.common.pojo.vo;

import lombok.Data;


import java.io.Serializable;

/**
 * 渠道钱包变更记录
 */
@Data
public class ChannelWalletHisVO implements Serializable {

    /**
     * 主键
     */
    private Long hisId;

    /**
     * 渠道钱包id
     */
    private String walletId;

    /**
     * 渠道id
     */
    private Long channelId;

    /**
     * 钱包类型 11:星钻; 12:星元; 21:星币; 22:星尘
     */
    private Integer type;

    /**
     * 变更前余额
     */
    private Long balanceOld;

    /**
     * 变动金额
     */
    private Long balanceValue;

    /**
     * 变动后金额
     */
    private Long balanceNew;

    /**
     * 备注
     */
    private String hisRemarks;

    /**
     * 创建时间
     */
    private Long createTime;

}