package com.starbuds.server.api.channel.common.pojo.admin;

import com.alibaba.fastjson.JSONArray;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author aoe
 * @DateTime 2020/6/4
 * @Description 渠道应用
 */
@Data
public class ChannelAppVO implements Serializable {

    /**
     * app名称
     */
    private String appName;

    /**
     * App Icon Url (JSON)
     */
    private JSONArray appIcon;

    /**
     * App 手机登陆服务地址
     */
    private String apiAuthByPhone;

    /**
     * 星芽注册用户通知对方url
     */
    private String apiNoticeUserRegistered;

    /**
     * 星芽用户修改信息通知对方Url
     */
    private String apiNoticeUserUpdate;
}
