package com.starbuds.server.api.channel.common.pojo.admin;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/3/3 14:58
 * @Description 昨日和今日的数据
 */
@Data
public class CurrentAndYesterdayStatEntity implements Serializable {

    /**
     * 今天
     */
    private Long current;

    /**
     * 昨天
     */
    private Long yesterday;

    /**
     * 今天数据
     */
    private BigDecimal currentValue;

    /**
     * 昨日数据
     */
    private BigDecimal yesterdayValue;

    /**
     * 差值
     */
    private BigDecimal diffValue;

    /**
     * 增长百分比
     */
    private BigDecimal growthPercent;

    /**
     * 统计类型
     */
    private Integer statType;

    /**
     * 统计名称
     */
    private String statName;

}
