package com.starbuds.server.api.channel.common.pojo.admin;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/4/6 14:50
 * @Description 简单统计数据
 */
@Data
public class SimpleStatVO implements Serializable {

    /**
     * 统计类型
     */
    private Integer statType;
    /**
     * 统计名称
     */
    private String statName;
    /**
     * 统计值
     */
    private BigDecimal statValue = BigDecimal.ZERO;
}
