package com.starbuds.server.api.channel.common.pojo.admin;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 平台数据统计
 *
 * @author JDBuilder
 */
@Data
public class StatPlatformVO implements Serializable {
    /**
     * 渠道 id
     */
    private Long channelId;
    /**
     * 统计时间
     */
    private Long statTime;
    /**
     * 时间类型
     */
    private Integer statTimeType;
    /**
     * 统计类型
     */
    private Integer statType;
    /**
     * 统计值
     */
    private BigDecimal statValue;

    /**
     * 渠道名称
     */
    private String channelName;

    /**
     * 统计名称
     */
    private String statName;
}