package com.starbuds.server.api.channel.common.pojo.admin;

import lombok.Data;

import java.io.Serializable;

@Data
public class UserVO implements Serializable {
    /**
     * 关联区域
     */
    private Integer areaId;

    private Long channelId;
    /**
     * 魅力等级
     */
    private Integer charmLevel;
    /**
     * 国家
     */
    private Integer countryId;
    /**
     * 是否主播  0：否   1：是
     */
    private Integer isAnchor;
    /**
     * 是否在线
     */
    private Integer isOnline;
    /**
     * 靓号
     */
    private Long niceNo;
    /**
     * 联系地址
     */
    private String userAddress;
    /**
     * 年龄
     */
    private Integer userAge;
    /**
     * 用户头像
     */
    private String userAvatar;
    /**
     * 出生日期
     */
    private Long userBornTime;
    /**
     * 星座
     */
    private Integer userConstellation;
    /**
     * 颜值封面
     */
    private String userCover;
    /**
     * 创建时间
     */
    private Long userCreateTime;
    /**
     * 电子邮件地址
     */
    private String userEmail;
    /**
     * 身高
     */
    private String userHeight;
    /**
     * 兴趣爱好
     */
    private String userHobby;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 收入水平
     */
    private String userIncome;
    /**
     * 个人介绍
     */
    private String userIntro;
    /**
     * 语言
     */
    private String userLanguages;
    /**
     * 所在纬度
     */
    private Double userLatitude;
    /**
     * 所在经度
     */
    private Double userLongitude;
    /**
     * 交友目的
     */
    private String userMarkingFriends;
    /**
     * 婚姻状况
     */
    private String userMarriage;
    /**
     * 用户姓名
     */
    private String userName;

    private Long userNo;
    /**
     * 联系电话
     */
    private String userPhone;
    /**
     * 性别
     */
    private Integer userSex;
    /**
     * 个性签名
     */
    private String userSign;

    private Integer userStatus;
    /**
     * 个性标签
     */
    private String userTags;
    /**
     * 更新时间
     */
    private Long userUpdateTime;
    /**
     * 体重
     */
    private String userWeight;
    /**
     * 财富等级
     */
    private Integer wealthLevel;

    /**
     * 粉丝数
     */
    private Integer fansNum;

    /**
     * 关注数
     */
    private Integer followNum;

    /**
     * 获取渠道名称
     */
    private String channelName;

    /**
     * 财富值
     */
    private Long wealthValue;

    /**
     * 魅力值
     */
    private Long charmValue;

    /**
     * 支付宝账户
     */
    private String alipayAccount;

    /**
     * 支付宝用户 id
     */
    private String alipayUserId;

    private String inviterUserName;

    private Long inviterUserId;

    private Integer userIsMarketAuditor;

    private Integer userIsRobot;

}
