package com.starbuds.server.api.channel.common.pojo.constant;

/**
 * 发送红包状态
 *
 * @author aoe
 * @date 2020/8/13
 */
public enum SendRedEnvStatusEnum {

    STORED("发送红包请求接收成功", 10),
    PROCESSING("发送红包请求处理中", 20),
    SUCCESS("发红包成功", 30),
    FAIL("发红包失败", 40),
    ;

    private String name;
    private int value;

    SendRedEnvStatusEnum(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public int value() {
        return value;
    }

    public static SendRedEnvStatusEnum toEnum(Integer value) {
        if (value == null) {
            return null;
        }
        for (SendRedEnvStatusEnum type : values()) {
            if (value - type.value == 0) {
                return type;
            }
        }
        return null;
    }
}
