package com.starbuds.server.api.channel.common.pojo.db;


import lombok.Data;

import java.io.Serializable;

/**
 * @Author jiangxiaowei
 * @DateTime 2020-01-15 14:12:01
 * @Description 渠道管理员
 */
@Data
public class ChannelAdminDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long adminId;
    /**
     * 姓名
     */
    private String adminName;
    /**
     * 手机号
     */
    private String adminPhone;
    /**
     * 头像
     */
    private String adminAvatar;
    /**
     * email
     */
    private String adminEmail;
    /**
     * 创建时间
     */
    private Long adminCreateTime;
    /**
     * 状态
     */
    private Integer adminStatus;
    /**
     * 渠道id
     */
    private Long channelId;
    /**
     * 分组id
     */
    private Long channelGroupId;
    /**
     * 上级id
     */
    private Long parentId;
    /**
     * 授权的渠道id集合
     */
    private String authChannelIds;

}
