package com.starbuds.server.api.channel.common.pojo.form;

import lombok.Data;

import java.math.BigInteger;
import javax.validation.constraints.NotNull;

import java.io.Serializable;

/**
 * 渠道钱包
 */
@Data
public class ChWalletForm implements Serializable {

    /**
     * 渠道钱包主键
     */
    private BigInteger chWalletId;

    /**
     * 渠道id
     */
    @NotNull(message = "渠道id不能为空")
    private BigInteger channelId;

    /**
     * 钱包类型
     */
    @NotNull(message = "钱包类型不能为空")
    private Integer type;

    /**
     * 余额
     */
    @NotNull(message = "余额不能为空")
    private BigInteger balance;

    /**
     * 创建时间
     */
    @NotNull(message = "创建时间不能为空")
    private Long createTime;

    /**
     * 更新时间
     */
    @NotNull(message = "更新时间不能为空")
    private Long updateTime;

    /**
     * 版本号
     */
    @NotNull(message = "版本号不能为空")
    private Integer version;

}