package com.starbuds.server.api.channel.common.pojo.qo;

import com.starbuds.server.common.annotation.query.QueryTag;
import lombok.Data;

import javax.ws.rs.QueryParam;
import java.io.Serializable;

/**
 * 渠道回调通知（失败后）重发临时记录
 */
@Data
public class ChNotifyResendTempPageListQO implements Serializable {

    /**
     * 通知次数
     */
    @QueryTag
    @QueryParam("notifyTimes")
    private Integer notifyTimes;

    /**
     * 开始时间
     */
    @QueryTag(column = "createTime", condition = ">=")
    @QueryParam("startTime")
    private Long startTime;

    /**
     * 结束时间
     */
    @QueryTag(column = "createTime", condition = "<=")
    @QueryParam("endTime")
    private Long endTime;
}