package com.starbuds.server.api.channel.common.pojo.vo;

import lombok.Data;


import java.io.Serializable;

/**
 * 渠道异步通知记录
 */
@Data
public class ChannelNotifyHisVO implements Serializable {

    /**
     * 主键
     */
    private Long hisId;

    /**
     * 追踪id
     */
    private Long traceId;

    /**
     * 渠道id
     */
    private Long channelId;

    /**
     * 接口编号
     */
    private Integer apiNo;

    /**
     * 通知url
     */
    private String notifyUrl;

    /**
     * 通知数据
     */
    private String notifyData;

    /**
     * 通知次数
     */
    private Integer notifyTimes;

    /**
     * 处理结果是否成功 1:成功; 0:失败
     */
    private Integer isSuccess;

    /**
     * 响应结果
     */
    private String response;

    /**
     * 响应结果是否成功 1:成功; 0:失败
     */
    private Integer resIsSuccess;

    /**
     * 调用时长(单位:毫秒)
     */
    private Integer callDuration;

    /**
     * 创建时间
     */
    private Long createTime;

}