package com.starbuds.server.api.channel.common.pojo.vo;

import lombok.Data;


import java.io.Serializable;

/**
 * 渠道回调通知（失败后）重发临时记录
 */
@Data
public class ChannelNotifyResendTempVO implements Serializable {

    /**
     * 追踪id
     */
    private Long traceId;

    /**
     * 渠道id
     */
    private Long channelId;

    /**
     * 接口编号
     */
    private Integer apiNo;

    /**
     * 通知url
     */
    private String notifyUrl;

    /**
     * 通知数据
     */
    private String notifyData;

    /**
     * 通知次数
     */
    private Integer notifyTimes;

    /**
     * 处理结果是否成功
     */
    private Integer isSuccess;

    /**
     * 创建时间
     */
    private Long createTime;

}