package com.starbuds.server.api.channel.common.service.admin;

import com.starbuds.server.api.channel.common.pojo.qo.ChNotifyResendTempPageListQO;
import com.starbuds.server.common.pojo.db.ChannelNotifyResendTempDO;

import java.util.List;

/**
 * 渠道回调通知（失败后）重发临时记录服务
 */
public interface ChChannelNotifyResendTempService {

    /**
     * 插入数据
     *
     * @param po
     * @return null:插入失败
     */
    ChannelNotifyResendTempDO create(ChannelNotifyResendTempDO po);

// 手动编码开始

    /**
     * 重发列表
     */
    List<ChannelNotifyResendTempDO> getResendList(ChNotifyResendTempPageListQO qo);

    /**
     * 删除已重新发送的列表
     *
     * @param qo
     * @return
     */
    int deleteResendList(ChNotifyResendTempPageListQO qo);
}