package com.starbuds.server.api.channel.common.service.admin;

import com.starbuds.server.api.channel.common.pojo.qo.ChWalletPageListQO;
import com.starbuds.server.api.channel.common.pojo.vo.ChannelWalletVO;
import com.starbuds.server.common.pojo.api.PageList;
import com.starbuds.server.common.pojo.api.Result;
import com.starbuds.server.common.pojo.db.ChannelWalletDO;

/**
 * 渠道钱包服务
 */
public interface ChChannelWalletService {

    /**
     * 分页查询
     */
    PageList<ChannelWalletDO> getPageList(ChWalletPageListQO qo);

    /**
     * 分页查询
     */
    PageList<ChannelWalletVO> getVOPageList(ChWalletPageListQO qo);

// 手动编码开始

    /**
     * 查询渠道钱包
     *
     * @param channelId
     * @return
     */
    ChannelWalletVO getWalletVO(Long channelId);

    /**
     * 发星钻红包
     *
     * @param channelId
     * @param userId
     * @param amount
     * @param adminId
     * @param ip
     * @return
     */
    Long sendDiamond(Long channelId, Long userId, Long amount, Long adminId, String ip);
}