package com.starbuds.server.api.channel.service.admin.dao;

import com.starbuds.server.api.channel.common.pojo.db.ChannelAdminTokenDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2019/12/26
 */
@Mapper
@Repository
public interface ChannelAdminTokenDAO {
    /**
     * 创建或更新
     *
     * @param adminTokenDO
     * @return
     */
    int insertOrUpdate(ChannelAdminTokenDO adminTokenDO);

    /**
     * 根据 id 删除
     *
     * @param adminId
     * @return
     */
    int deleteById(@Param("adminId") Long adminId);

    /**
     * 获取token
     *
     * @param adminId
     * @return
     */
    String getToken(@Param("adminId") Long adminId);
}
