package com.starbuds.server.api.channel.v1.facade;

import com.starbuds.server.api.channel.common.pojo.form.ChannelNotifyConfigForm;
import com.starbuds.server.api.channel.common.pojo.qo.ChNotifyConfigPageListQO;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 渠道异步通知配置控制器
 */
public interface ChannelNotifyConfigFacade {

    /**
     * 判断是否存在
     *
     * @param id 主键
     * @return true:存在
     */
    Result exist(Long id);

    /**
     * 分页查询
     */
    Result getPageList(ChNotifyConfigPageListQO qo);

    // 手动编码开始

    /**
     * 查询详细信息
     *
     * @param apiNo 接口编号
     */
    Result getInfo(Integer apiNo);

    /**
     * 更新数据
     */
    Result update(ChannelNotifyConfigForm form);
}
