package com.starbuds.server.api.channel.v1.facade;

import com.starbuds.server.api.channel.common.pojo.form.ChannelSecretRsaForm;
import com.starbuds.server.api.channel.common.pojo.qo.ChSecretRsaPageListQO;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 渠道RSA2信息控制器
 */
public interface ChannelSecretRsaFacade {

    /**
     * 更新数据
     */
    Result update(ChannelSecretRsaForm form);

    /**
     * 判断是否存在
     *
     * @param id 主键
     * @return true:存在
     */
    Result exist(Long id);

    /**
     * 分页查询
     */
    Result getPageList(ChSecretRsaPageListQO qo);

    // 手动编码开始

    /**
     * 查询详细信息(查询或新增)
     */
    Result getInfo(Long channelId);
}
