package com.starbuds.server.api.channel.v1.facade;

import com.starbuds.server.api.channel.common.pojo.qo.ChWalletPageListQO;
import com.starbuds.server.common.pojo.api.Result;

import javax.ws.rs.BeanParam;

/**
 * 渠道钱包控制器
 */
public interface ChannelWalletFacade {

    /**
     * 分页查询
     */
    Result getPageList(@BeanParam ChWalletPageListQO qo);

    // 手动编码开始

    /**
     * 查询详细信息
     */
    Result getInfo();

    /**
     * 充值（星钻）
     *
     * @param amount
     * @return
     */
    Result recharge(Long amount);

    /**
     * 查询渠道充值订单支付状态
     *
     * @param orderId
     * @return
     */
    Result getPayStatus(Long orderId);

    /**
     * 发星钻红包
     *
     * @param userNo 星芽号
     * @param amount
     * @return
     */
    Result sendDiamond(Long userNo, Long amount);
}
