package com.starbuds.server.api.channel.v1.facade;

import com.starbuds.server.api.channel.common.pojo.qo.ChWalletHisPageListQO;
import com.starbuds.server.common.pojo.api.Result;

/**
 * 渠道钱包变更记录控制器
 */
public interface ChannelWalletHisFacade {

    /**
     * 查询详细信息
     *
     * @param id 主键
     */
    Result getInfo(Long id);

    /**
     * 判断是否存在
     *
     * @param id 主键
     * @return true:存在
     */
    Result exist(Long id);

    /**
     * 分页查询
     */
    Result getPageList(ChWalletHisPageListQO qo);

    // 手动编码开始
}
