package com.starbuds.server.api.channel.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * 开放接口
 */
public interface OpenApiFacade {

    /**
     * 获取星芽用户信息
     *
     * @param token     星芽token
     * @param channelId 渠道id
     * @return
     */
    Result getUser(String token, Long channelId);

    /**
     * 发红包
     *
     * @param data
     * @return
     */
    Result sendRedEnvelope(String data);
}
