package com.starbuds.server.api.channel.v1.facade;

import com.starbuds.server.common.pojo.api.Result;

/**
 * @Author jiangxiaowei
 * @DateTime 2020/4/22 14:26
 * @Description 用户管理
 */
public interface UserFacade {

    /**
     * 用户列表
     *
     * @param userNo
     * @param userName
     * @param niceNo
     * @param userPhone
     * @param idCardNo
     * @param isAnchor
     * @param userStatus
     * @param pageNum
     * @param pageSize
     * @param startTime
     * @param endTime
     * @return
     */
    Result getUserList(Long userNo, String userName, Long niceNo, String userPhone, String idCardNo,
                       Integer isAnchor, Integer userStatus, int pageNum, int pageSize, int sortType, int isAsc, Long startTime, Long endTime);


    /**
     * 获取用户详情
     *
     * @param userId
     * @return
     */
    Result getUserDetail(Long userId);
}
